Bug 234791 - sysutils/node_exporter: Add license file, tests, docs and examples
Summary: sysutils/node_exporter: Add license file, tests, docs and examples
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mateusz Piotrowski
URL: https://reviews.freebsd.org/D18792
Keywords: patch-ready
Depends on:
Blocks:
 
Reported: 2019-01-09 15:50 UTC by Mateusz Piotrowski
Modified: 2019-01-28 09:17 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (ports)


Attachments
Patch (4.09 KB, patch)
2019-01-09 15:50 UTC, Mateusz Piotrowski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mateusz Piotrowski freebsd_committer 2019-01-09 15:50:25 UTC
Created attachment 200957 [details]
Patch

- Define LICENSE_FILE
- Sort variables
- Add a do-test target and prepare a testing environment.  One test is skipped
  at the moment due to a problem with detecting procfs(5) on FreeBSD.
- Install documentation and examples.
- Change pkg-descr to better match upstream's README.

I am not sure about a couple of things, however:

    Is it fine to use USES=gmake instead of TEST_DEPENDS=gmake:devel/gmake? USES=gmake adds a dependency to the build process, which is not ideal.
    The whole pre-test target is rather hacky. I was unable to come up with a prettier solution though. Go is a little bit hard to tame.
Comment 1 Mateusz Piotrowski freebsd_committer 2019-01-25 09:59:29 UTC
@swills, can I commit? I got approval from my mentors (https://reviews.freebsd.org/D18792).
Comment 2 Steve Wills freebsd_committer 2019-01-26 12:15:37 UTC
(In reply to Mateusz Piotrowski from comment #1)
Yes, please go ahead.
Comment 3 commit-hook freebsd_committer 2019-01-28 09:17:10 UTC
A commit references this bug:

Author: 0mp
Date: Mon Jan 28 09:16:25 UTC 2019
New revision: 491463
URL: https://svnweb.freebsd.org/changeset/ports/491463

Log:
  sysutils/node_exporter: Add tests, docs and examples

  - Define LICENSE_FILE.
  - Sort variables.
  - Add a do-test target and prepare a testing environment.  One test is
    skipped at the moment due to a problem with detecting procfs(5) on
    FreeBSD.
  - Install documentation and examples.
  - Change pkg-descr to better match upstream's README.

  PR:		234791
  Reviewed by:	mat
  Approved by:	mat (mentor), maintainer timeout
  Sponsored by:	BALLY WULFF Games & Entertainment GmbH
  Differential Revision:	https://reviews.freebsd.org/D18792

Changes:
  head/sysutils/node_exporter/Makefile
  head/sysutils/node_exporter/pkg-descr
  head/sysutils/node_exporter/pkg-plist